# -*- coding: utf-8 -*-

from django.contrib import admin
from pysnippets.strsnippets import strip

from mch.models import BrandInfo, DistributorInfo, LatestAppInfo, ModelImageInfo, ModelInfo


class BrandInfoAdmin(admin.ModelAdmin):
    list_display = ('brand_id', 'brand_name', 'brand_descr', 'brand_logo', 'position', 'status', 'created_at', 'updated_at')


class ModelInfoAdmin(admin.ModelAdmin):
    list_display = ('brand_id', 'model_id', 'model_name', 'model_descr', 'position', 'status', 'created_at', 'updated_at')
    list_filter = ('brand_id', 'status')


class ModelImageInfoAdmin(admin.ModelAdmin):
    list_display = ('model_id', 'image', 'url', 'position', 'status', 'created_at', 'updated_at')
    list_filter = ('model_id', 'status')


class DistributorInfoAdmin(admin.ModelAdmin):
    list_display = ('brand_id', 'distributor_id', 'distributor_name', 'distributor_descr', 'position', 'status', 'created_at', 'updated_at')
    list_filter = ('brand_id', 'status')


class LatestAppInfoAdmin(admin.ModelAdmin):
    list_display = ('latest_adr_version_code', 'latest_adr_version_name', 'latest_adr_app', 'latest_adr_url', 'status', 'created_at', 'updated_at')
    list_filter = ('status', )

    def save_model(self, request, obj, form, change):
        obj.latest_adr_version_name = strip(obj.latest_adr_version_name)
        obj.latest_adr_app = strip(obj.latest_adr_app)
        obj.latest_adr_url = strip(obj.latest_adr_url)
        obj.save()


admin.site.register(BrandInfo, BrandInfoAdmin)
admin.site.register(ModelInfo, ModelInfoAdmin)
admin.site.register(ModelImageInfo, ModelImageInfoAdmin)
admin.site.register(DistributorInfo, DistributorInfoAdmin)
admin.site.register(LatestAppInfo, LatestAppInfoAdmin)
